@echo off
if exist accessory.lua (rm13.exe -update accessory.lua accessory2.lua) else (copy accessory2.lua accessory.lua)
if exist ball.lua (rm13.exe -update ball.lua ball2.lua) else (copy ball2.lua ball.lua)
if exist crowd.lua (rm13.exe -update crowd.lua crowd2.lua) else (copy crowd2.lua crowd.lua)
if exist goalnet.lua (rm13.exe -update goalnet.lua goalnet2.lua) else (copy goalnet2.lua goalnet.lua)
if exist player.lua (rm13.exe -update player.lua player2.lua) else (copy player2.lua player.lua)
if exist sle.lua (rm13.exe -update sle.lua sle2.lua) else (copy sle2.lua sle.lua)
if exist stadium.lua (rm13.exe -update stadium.lua stadium2.lua) else (copy stadium2.lua stadium.lua)
if exist wipe3d.lua (rm13.exe -update wipe3d.lua wipe3d2.lua) else (copy wipe3d2.lua wipe3d.lua)

if exist rm_default.lua (rm13.exe -update rm_default.lua rm_default2.lua) else (copy rm_default2.lua rm_default.lua)

if exist ..\assets.lua (rm13.exe -update ..\assets.lua assets2.lua) else (copy assets2.lua ..\assets.lua)

if not exist ..\..\..\sceneassets\adboard\ (mkdir ..\..\..\sceneassets\adboard)
if not exist ..\..\..\sceneassets\ (mkdir ..\..\..\sceneassets\)


if not exist ..\..\..\sceneassets\adboard\adboard_4_0.rx3 (copy adboard.rx3 ..\..\..\sceneassets\adboard\adboard_4_0.rx3)
if not exist ..\..\..\sceneassets\adboard\adboard_6_0.rx3 (copy adboard.rx3 ..\..\..\sceneassets\adboard\adboard_6_0.rx3)
if not exist ..\..\..\sceneassets\adboard\adboard_8_0.rx3 (copy adboard.rx3 ..\..\..\sceneassets\adboard\adboard_8_0.rx3)
if not exist ..\..\..\sceneassets\adboard\adboard_10_0.rx3 (copy adboard.rx3 ..\..\..\sceneassets\adboard\adboard_10_0.rx3)
if not exist ..\..\..\sceneassets\adboard\adboard_19_0.rx3 (copy adboard.rx3 ..\..\..\sceneassets\adboard\adboard_19_0.rx3)
if not exist ..\..\..\sceneassets\adboard\adboard_22_0.rx3 (copy adboard.rx3 ..\..\..\sceneassets\adboard\adboard_22_0.rx3)
if not exist ..\..\..\sceneassets\adboard\adboard_23_0.rx3 (copy adboard.rx3 ..\..\..\sceneassets\adboard\adboard_23_0.rx3)
if not exist ..\..\..\sceneassets\adboard\adboard_27_0.rx3 (copy adboard.rx3 ..\..\..\sceneassets\adboard\adboard_27_0.rx3)
if not exist ..\..\..\sceneassets\adboard\adboard_28_0.rx3 (copy adboard.rx3 ..\..\..\sceneassets\adboard\adboard_28_0.rx3)
if not exist ..\..\..\sceneassets\adboard\adboard_29_0.rx3 (copy adboard.rx3 ..\..\..\sceneassets\adboard\adboard_29_0.rx3)
if not exist ..\..\..\sceneassets\adboard\adboard_30_0.rx3 (copy adboard.rx3 ..\..\..\sceneassets\adboard\adboard_30_0.rx3)
if not exist ..\..\..\sceneassets\adboard\adboard_31_0.rx3 (copy adboard.rx3 ..\..\..\sceneassets\adboard\adboard_31_0.rx3)

copy rm13converter.bat ..\..\..\sceneassets\rm13converter.bat
if not exist ..\..\..\sceneassets\statements.txt (copy statements.txt ..\..\..\sceneassets\statements.txt)


del accessory2.lua
del ball2.lua
del crowd2.lua
del goalnet2.lua
del player2.lua
del stadium2.lua
del rm_default2.lua
del sle2.lua
del assets2.lua
del wipe3d2.lua

del adboard.rx3
del rm13converter.bat
del statements.txt

del run.bat